FireGuardApi reference

Create a conversation

Create a conversation for organizing and tracking a user's interaction with FireGuard.

POST
/conversation

Create a conversation for organizing and tracking a user's interaction with FireGuard.

Authorization

ApiKeyAuth
X-Api-Key<token>

FireGuard organization API key.

In: header

Query Parameters

project_id*string

Project ID from the FireGuard project settings.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/conversation?project_id=string" \  -H "Content-Type: application/json" \  -d '{    "name": "My first conversation",    "description": "Conversation created through the API"  }'
{  "id": "string",  "name": "string",  "description": "string",  "created_at": "2019-08-24T14:15:22Z",  "is_client": true}